System.Xml 4.0.0.0 System.Enum

This enumeration is set on the property or the property. The DtdProcessing property replaces the ProhibitDTD property and adds the ability to ignore the DOCTYPE element.

Specifies the options for processing DTDs. The enumeration is used by .

- Field
  4.0.0.0
  System.Xml.DtdProcessing

  The DTD/DOCTYPE will be lost on output.

  Causes the DOCTYPE element to be ignored. No DTD processing occurs.

- Field
  4.0.0.0
  System.Xml.DtdProcessing

  Used for parsing DTDs.

- Field
  4.0.0.0
  System.Xml.DtdProcessing

  Specifies that when a DTD is encountered, an is thrown with a message that states that DTDs are prohibited. This is the default behavior.